## psb_normi -- Infinity Norm of Sparse Matrix

This function computes the infinity-norm of a matrix :

where:

  represents the global matrix

Table 11: Data types
| Function
Short Precision Real | psb_spnrmi
Long Precision Real | psb_spnrmi
Short Precision Complex | psb_spnrmi
Long Precision Complex | psb_spnrmi

    psb_spnrmi(A, desc_a, info)
    psb_normi(A, desc_a, info)

Type:
  Synchronous.
On Entry
a
  the local portion of the global sparse matrix .
  Scope: local
  Type: required
  Intent: in.
  Specified as: an object of type spdata`psb_Tspmat_type`.
desc_a
  contains data structures for communications.
  Scope: local
  Type: required
  Intent: in.
  Specified as: an object of type descdata`psb_desc_type`.
On Return
Function value
  is the infinity-norm of sparse submatrix .
  Scope: global
  Specified as: a long precision real number.
info
  Error code.
  Scope: local
  Type: required
  Intent: out.
  An integer value; 0 means no error has been detected.